Subject: RE: response to ITU-T SG13

From: "David Allan"<[email-masked]>
Date: Wed, 17 Apr 2002 11:15:02 -0400

Thanks George,

So for my understanding and clarification as to exactly what we're
discussing...... The multicast MPLS protocol used with PIM presumably is a
PPP PID of 0x283 and the unicast MPLS protocol used with the other control
planes is a PPP PID of 0x281? 

thanks
Dave

> -----Original Message-----
> From: George Swallow [mailto:[email-masked]]
> Sent: Wednesday, April 17, 2002 10:59 AM
> To: Allan, David [CAR:NS00:EXCH]
> Cc: [email-masked]
> Subject: Re: response to ITU-T SG13 
> 
> 
> David -
> 
> Since I was the one who put PIM on the list, let me explain.  I don't
> consider it an unreasonable hurdle.  The question is simply this.
> 
> First an implementation of MPLS with PIM exists.  Since PIM itself is
> not yet standard, there has been little pressure to push the former
> along.  But it isn't completely a future consideration.
> 
> MPLS (unlike ATM) has a unified dataplane which can be directly
> accessed by multiple control planes.  If an OAM scheme depends on
> moving information through the control plane, and if OAM support is
> presummed on every LSP as my reading of Y.1711 seems to imply then
> presummably *every* MPLS control plane (current, in progress, or
> future) needs some level of OAM awareness and interaction.  So I'd
> like to understand where this is To: "David Allan" 
> <[email-masked]>
> cc: [email-masked]
> Fcc: outbox
> Subject: Re: response to ITU-T SG13 
> In-reply-to: Your message of "Tue, 16 Apr 2002 10:30:32 EDT."
>              
> <[email-masked]> 
> --------
> David -
> 
> Since I was the one who put PIM on the list, let me explain.  I don't
> consider it an unreasonable hurdle.  
> 
> First an implementation of MPLS with PIM exists.  Since PIM itself is
> not yet standard, there has been little pressure to push the former
> along.  But it isn't completely a future consideration.
> 
> The question is simply this.
> 
> MPLS (unlike ATM) has a unified dataplane which can be directly
> accessed by multiple control planes.  If an OAM scheme depends on
> moving information through the control plane, and if OAM support is
> presummed on every LSP as my reading of Y.1711 seems to imply, then
> presummably *every* MPLS control plane (current, in progress, or
> future) needs some level of OAM awareness and interaction.  So I'd
> like to understand where this is headed.  If the ITU is envisioning
> ubiquitous OAM support, it gets very onerous.  Not only do I have to
> worry about supporting it in many protocols, but I also have to worry
> about the interactions between protocols, like when I run LDP across
> a tunnel created by RSVP.  
> 
> If on the other hand OAM can be deployed on a limited basis, then
> things aren't as bad.  So the question is intended to get at the scope
> of what the ITU is up to.
> 
> ///George
> 
> ==================================================================
> George Swallow       Cisco Systems                  (978) 497-8143
>                      250 Apollo Drive
>                      Chelmsford, Ma 01824
> 
> 
> 
> 
> 
> 
> 
> 
>

---

From: George Swallow <[email-masked]>
Date: Wed, 17 Apr 2002 11:33:12 -0400

> planes is a PPP PID of 0x281? 

Yes.  Except for ATM which doesn't use PPP encaps.

///George